< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package un
  Definition Classes
    root
-  package unece
  Definition Classes
    un
-  package uncefact
  Definition Classes
    unece
-  package data
  Definition Classes
    uncefact
-  package standard
  Definition Classes
    data
-  package unqualifieddatatype
  Definition Classes
    standard
-  package _6
  Definition Classes
    unqualifieddatatype
- AmountType
- CodeType
- DateTimeType
- IDType
- MeasureType
- ObjectFactory
- QuantityType
- TextType

c

un.unece.uncefact.data.standard.unqualifieddatatype._6

# ObjectFactory 

###

#### class ObjectFactory extends AnyRef

This object contains factory methods for each Java content interface and Java element interface generated in the un.unece.uncefact.data.standard.unqualifieddatatype._6 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ObjectFactory
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ObjectFactory()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
6.  def createAmountType(): AmountType

   Create an instance of ``

7.  def createCodeType(): CodeType

   Create an instance of ``

8.  def createDateTimeType(): DateTimeType

   Create an instance of ``

9.  def createIDType(): IDType

   Create an instance of ``

10.  def createMeasureType(): MeasureType

    Create an instance of ``

11.  def createQuantityType(): QuantityType

    Create an instance of ``

12.  def createTextType(): TextType

    Create an instance of ``

13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
16.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
23.  def toString(): String
    Definition Classes
      AnyRef → Any
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped